Bug 216495 - [dmfe:9102] Davidcom Tulip fails after 32 seconds- only under FC6
[dmfe:9102] Davidcom Tulip fails after 32 seconds- only under FC6
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Neil Horman
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2006-11-20 14:38 EST by a p godshall
Modified: 2008-08-02 19:40 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-05-06 12:52:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description a p godshall 2006-11-20 14:38:31 EST
Description of problem:

Under FC3 or Windows, ethernet works fine.  Under FC6 (kernel 2.6.18), it fails
on boot, then after plugging in, networking comes up after 30sec, works for
32sec, and then fails after 32sec.  Kernel appears to detect nothing wrong
(dmesg shows no failures or other activity) but all connectivity is gone (as
evidenced by ping by ip addr to gateway).

Machine is an Ampro ETX-610 [www.ampro.com/assets/applets/ETX610_Datasheet.pdf]
with AMD Geode CPU and ethernet chip is Davidcom DM9102D.

Version-Release number of selected component (if applicable):

FC6 as originally released (ie. kernel 2.6.18)

How reproducible:

Every time

Steps to Reproduce:

See above
Actual results:

See above

Expected results:

See above

Additional info:

Shutdown also fails- "shutdown -h now" reports "System Halted." but does not
power down.  "shutdown -r now" reports "System Halted." but does not reboot.

Screenshots available.
Comment 1 Neil Horman 2006-12-04 10:04:46 EST
which driver are you using?  dmfe or tulip?  currently tulip claims support for
this chips pci id, but it doesn't seem to work properly, so you should probably
try dmfe.

Also, both tulip and dmfe have debug options (either via module options, or
ethtool).  You should set those to be as verbose as possible and then try your
nic again to see what error messages you may be getting.
Comment 2 Neil Horman 2007-08-29 10:45:28 EDT
ping.  any update?
Comment 3 Chuck Ebbert 2007-10-02 17:11:16 EDT
Seems we should just remove support from tulip for at least 1282:9102.
Comment 4 Bug Zapper 2008-04-04 00:49:11 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 5 Bug Zapper 2008-05-06 12:52:53 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.